// creator  : weidu.exe (version 23100)
// argument : OOGIEW.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~OOGIEW~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #11431 /* ~I cannot help you.~ */
  IF ~~ THEN REPLY #11432 /* ~Will you help to free us now?~ */ GOTO 1
  IF ~~ THEN REPLY #11434 /* ~I will help you. What do you wish me to do?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 2.2 0.0
  SAY #11433 /* ~Noble Djinni~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #11435 /* ~I will help you if you will help me. I am looking for a flask in order to free a djinni who is trapped in the Plane of Air. Have you seen one?~ */
  IF ~~ THEN REPLY #11436 /* ~I refuse to help you.~ */ GOTO 3
  IF ~~ THEN REPLY #11437 /* ~I cannot help you.~ */ GOTO 5
  IF ~~ THEN REPLY #11438 /* ~Noble Efreeti~ */ GOTO 1
  IF ~~ THEN REPLY #11439 /* ~Will you help to free us now?~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #11440 /* ~I will help you. What do you wish me to do?~ */
  IF ~~ THEN REPLY #11441 /* ~I will help you if you will help me. I am looking for a flask in order to free a djinni who is trapped in the Plane of Air. Have you seen one?~ */ GOTO 4
  IF ~~ THEN REPLY #11442 /* ~I refuse to help you.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 5.0 3.0 2.3
  SAY #11443 /* ~I cannot help you.~ */
  IF ~~ THEN REPLY #11447 /* ~I search for a flask in order to free a djinni. Have you seen such a thing?~ */ GOTO 8
  IF ~~ THEN REPLY #11448 /* ~Ah, yes, I see Madeen has proven to be his faithful self, as usual.  How do you do, my <PRO_LADYLORD>, considering the city is so harsh on strangers, eh?~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 3.1 2.1
  SAY #11444 /* ~You have returned, <RACE>. Is there something else that you require of us?~ */
  IF ~~ THEN REPLY #11445 /* ~I require nothing else. I must return to my search for an exit.~ */ GOTO 4
  IF ~~ THEN REPLY #11446 /* ~Could you repeat the advice that you gave me earlier?~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1 4.1
  SAY #11449 /* ~You must use Irenicus' portals to travel up to the next level of the complex. The portals must be triggered by a certain key.~ */
  IF ~~ THEN REPLY #11450 /* ~He uses Her key. He still loves her, you see. He keeps her room just as it was, though well protected.  We go there sometimes and look at her things.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 8.0 6.0
  SAY #11451 /* ~You have returned, <RACE>. Is there something else that you require of us?~ */
  IF ~~ THEN REPLY #11452 /* ~I require nothing else. I must return to my search for an exit.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 4.0
  SAY #11453 /* ~Could you repeat the advice that you gave me earlier?~ */
  IF ~~ THEN REPLY #11454 /* ~I search for a flask that will free a djinni trapped by your master in the Plane of Air. Have you seen such a thing?~ */ GOTO 7
END

IF ~True()
~ THEN BEGIN 9 // from:
  SAY #20608 /* ~Yes, well, I did not say I was interested in the scenery.  It was my home, once upon a time.  If you cannot understand I will not bother you with my musings again.~ */
  IF ~~ THEN EXIT
END
